/****************************************************************************/

/*
 *	m5282sim.h -- ColdFire 5282 System Integration Module support.
 *
 *	(C) Copyright 2003, Greg Ungerer (gerg@snapgear.com)
 */

/****************************************************************************/
#ifndef	m5282sim_h
#define	m5282sim_h
/****************************************************************************/

#include <linux/config.h>

/*
 *	Define the 5282 SIM register set addresses.
 */
#define	MCFICM_INTC0		0x0c00		/* Base for Interrupt Ctrl 0 */
#define	MCFICM_INTC1		0x0d00		/* Base for Interrupt Ctrl 1 */
#define	MCFINTC_IPRH		0x00		/* Interrupt pending 32-63 */
#define	MCFINTC_IPRL		0x04		/* Interrupt pending 1-31 */
#define	MCFINTC_IMRH		0x08		/* Interrupt mask 32-63 */
#define	MCFINTC_IMRL		0x0c		/* Interrupt mask 1-31 */
#define	MCFINTC_INTFRCH		0x10		/* Interrupt force 32-63 */
#define	MCFINTC_INTFRCL		0x14		/* Interrupt force 1-31 */
#define	MCFINTC_IRLR		0x18		/* */
#define	MCFINTC_IACKL		0x19		/* */
#define	MCFINTC_ICR0		0x40		/* Base ICR register */

#define	MCFINT_UART0		13		/* Interrupt number for UART0 */
#define	MCFINT_PIT1		55		/* Interrupt number for PIT1 */

#define	MCF5282_GPIO_PUAPAR	0x10005C


#define	MCFINT_CAN_BUF00	8		/* CAN BUF 0  register  8 */
#define	MCFINT_CAN_BUF01	9		/* CAN BUF 1  register  9 */
#define	MCFINT_CAN_BUF02	10		/* CAN BUF 2  register  10 */
#define	MCFINT_CAN_BUF03	11		/* CAN BUF 3  register  11 */
#define	MCFINT_CAN_BUF04	12		/* CAN BUF 4  register  12 */
#define	MCFINT_CAN_BUF05	13		/* CAN BUF 5  register  13 */
#define	MCFINT_CAN_BUF06	14		/* CAN BUF 6  register  14 */
#define	MCFINT_CAN_BUF07	15		/* CAN BUF 7  register  15 */
#define	MCFINT_CAN_BUF08	16		/* CAN BUF 8  register  16 */
#define	MCFINT_CAN_BUF09	17		/* CAN BUF 9  register  17 */
#define	MCFINT_CAN_BUF10	18		/* CAN BUF 10 register  18 */
#define	MCFINT_CAN_BUF11	19		/* CAN BUF 11 register  19 */
#define	MCFINT_CAN_BUF12	20		/* CAN BUF 12 register  20 */
#define	MCFINT_CAN_BUF13	21		/* CAN BUF 13 register  21 */
#define	MCFINT_CAN_BUF14	22		/* CAN BUF 14 register  22 */
#define	MCFINT_CAN_BUF15	23		/* CAN BUF 15 register  23 */
#define	MCFINT_CAN_WARN	        24		/* CAN warn register  24 */
#define	MCFINT_CAN_BUSOFF	25		/* CAN buss off register  25 */
#define	MCFINT_CAN_WUP	        26		/* CAN wake up register  26 */


/****************************************************************************/
#endif	/* m5282sim_h */
